Subject: Re: bug#33795: Update mes-minimal-stripped-tarball to Mes 0.19 on gnu.org

From: Ludovic Courtès <[email-masked]>
Date: Thu, 20 Dec 2018 09:05:17 +0100

Hello Janneke!

Jan Nieuwenhuizen <[email-masked]> skribis:

> On my core-updates branch at gitlab (https://gitlab.com/janneke/guix,
> 52c475a606 bootstrap: srfi-43: Remove) I have patches for all the above.
>
> Checking out the commit core-updates~4
>
> ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f
> bootstrap: Add mes-boot0; decouple mes-boot from Mes.
>
>
> I have built a new mes-minimal-stripped-tarball that I would like to put
> up on gnu.org
>
> 19:26:16 janneke@dundal:~/src/guix/wip-seed 
> $ guix hash /gnu/store/h80vzl6w2ih4hnrpmczs4m7v0qc888m9-mes-minimal-stripped-tarball-0.19/mes-minimal-stripped-0.19-i686-linux.tar.xz 
> 0k7kkl68a6xaadv47ij0nr9jm5ca1ffj38n7f2lg80y72wdkwr9h

I’ve rebuilt it and here’s what I got:

--8<---------------cut here---------------start------------->8---
ludo@ribbon ~/src/guix/+core-updates$ git describe
v0.16.0-178-gef809e3ac0
ludo@ribbon ~/src/guix/+core-updates$ git log | head -1
commit ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f
ludo@ribbon ~/src/guix/+core-updates$ ./pre-inst-env guix build bootstrap-tarballs -r bootstrap-tarballs.x86_64-linux
/gnu/store/qpg1ch6bz1pvl8la196v36c92993xl4r-bootstrap-tarballs-0
ludo@ribbon ~/src/guix/+core-updates$ (cd bootstrap-tarballs.x86_64-linux; sha256sum *)
7ef6ba4484bf9a94cb1aed366de3b12416cc9474c22a544cee4795f6586c0942  guile-static-stripped-2.2.4-x86_64-linux.tar.xz
1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-x86_64-linux.tar.xz
7c68ffe57a1fa20e26c8873a200e5ce7330611aac4a961009cc5c7f83407ee5c  mescc-tools-static-0.5.2-0.bb062b0-x86_64-linux.tar.xz
30653e1b17c703f4a870c7a2219d0b8a952a53b640c6437653aa1b850c9df34c  mes-minimal-stripped-0.19-x86_64-linux.tar.xz
16969b0b8c911eaf7a8bfa998fe644348c5554c99565b2b97bfc18ad56931e2f  static-binaries-0-x86_64-linux.tar.xz
ludo@ribbon ~/src/guix/+core-updates$ guix hash bootstrap-tarballs.x86_64-linux/mes-minimal-stripped-0.19-x86_64-linux.tar.xz 
0k7kkl68a6xaadv47ij0nr9jm5ca1ffj38n7f2lg80y72wdkwr9h
--8<---------------cut here---------------end--------------->8---

Match!

If that’s fine with you, I’ll upload
mes-minimal-stripped-0.19-x86_64-linux.tar.xz to
alpha.gnu.org/gnu/guix/bootstrap/20181020 alongside the other tarballs.

Sounds good?

Thank you!

Ludo’.